aboutsummaryrefslogtreecommitdiffstats
path: root/testing/rxvt-unicode/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-06-10 11:35:53 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-06-10 11:35:53 +0000
commitc386d3f482eb65e4df67aefffe21d0bb4f04d6fa (patch)
tree63096e3da23b86992bfcf6e5a6cb6f3e20fe0e32 /testing/rxvt-unicode/APKBUILD
parente0f5ccc125adb9f8baa1aacc2c04fa697eb85c72 (diff)
downloadaports-c386d3f482eb65e4df67aefffe21d0bb4f04d6fa.tar.gz
aports-c386d3f482eb65e4df67aefffe21d0bb4f04d6fa.tar.bz2
aports-c386d3f482eb65e4df67aefffe21d0bb4f04d6fa.tar.xz
testing/rxvt-unicode: new aport
rxvt fork with improved unicode support http://software.schmorp.de/pkg/rxvt-unicode.html
Diffstat (limited to 'testing/rxvt-unicode/APKBUILD')
-rw-r--r--testing/rxvt-unicode/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/rxvt-unicode/APKBUILD b/testing/rxvt-unicode/APKBUILD
new file mode 100644
index 0000000000..f4a03602cf
--- /dev/null
+++ b/testing/rxvt-unicode/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Moritz Wilhelmy
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=rxvt-unicode
+pkgver=9.11
+pkgrel=0
+pkgdesc='rxvt fork with improved unicode support'
+arch=all
+url='http://software.schmorp.de/pkg/rxvt-unicode.html'
+license='GPL'
+depends=
+makedepends="libx11-dev"
+source="http://dist.schmorp.de/rxvt-unicode/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ ./configure --prefix=/usr \
+ --with-terminfo=/usr/share/terminfo \
+ --enable-256-color \
+ --enable-font-styles \
+ --enable-xim \
+ --enable-keepscrolling \
+ --enable-selectionscrolling \
+ --enable-smart-resize \
+ --enable-pixbuf \
+ --disable-transparency \
+ --disable-utmp \
+ --disable-wtmp \
+ --disable-lastlog \
+ --disable-frills \
+ --disable-perl \
+ || return 1
+ make
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ install -d "$pkgdir/usr/share/terminfo"
+ export TERMINFO="$pkgdir/usr/share/terminfo"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="1bed5bfeed026e0bfafa0e9e4f62aa37 rxvt-unicode-9.11.tar.bz2"